import 'dart:io';

import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class FilePreviewPage extends StatefulWidget {
  final String fileUrl;

  const FilePreviewPage({Key? key, required this.fileUrl}) : super(key: key);
  @override
  FilePreviewPageState createState() => new FilePreviewPageState();
}

class FilePreviewPageState extends State<FilePreviewPage> {
  @override
  Widget build(BuildContext context) {
    return WebView(
      initialUrl: widget.fileUrl,
      javascriptMode:JavascriptMode.unrestricted ,
    );
  }
  @override
  void initState() {
    super.initState();
    if (Platform.isAndroid) WebView.platform = AndroidWebView();
  }

  @override
  void dispose() {
    super.dispose();
  }
}